%define	name	xchm
%define version	1.14
%define docversion 1.10
%define	release	%mkrel 4

%define	Summary	CHM viewer for UNIX

Name:		%name
Version:	%version
Release:	%release
Summary:	%Summary
License:	GPLv2+
Group:		Publishing
URL:		http://xchm.sourceforge.net
Source:		http://ovh.dl.sourceforge.net/sourceforge/xchm/%name-%version.tar.gz
Source1:	%name-%docversion-doc.tar.bz2
Source2:	%name-16.png
Source3:	%name-32.png
Source4:	%name-48.png
BuildRequires:	libchm-devel
BuildRequires:	libtiff
BuildRequires:	wxgtku2.6-devel
BuildRequires:	ghostscript
Buildrequires:	tetex-latex
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
xCHM - the CHM viewer for UNIX

%prep
%setup -q -a 1

%build
%configure2_5x --with-wx-config=%{_bindir}/wx-config-unicode
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %buildroot{%_miconsdir,%_iconsdir,%_liconsdir}
%__install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.png
%__install -m 644 %SOURCE3 %buildroot%_iconsdir/%name.png
%__install -m 644 %SOURCE4 %buildroot%_liconsdir/%name.png

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Xchm
Comment=CHM viewer for UNIX
Exec=xchm
Icon=xchm
Type=Application
Categories=GTK;Office;Viewer;
EOF

(
cd %name-%docversion-doc/latex/
make
)

# Doc are install elsewhere
rm -fr %buildroot/%_datadir/doc

%find_lang %name

%clean
rm -fr $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc %name-%docversion-doc/html
%doc %name-%docversion-doc/latex/*.dvi
%_bindir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_datadir/pixmaps/*.xpm
%_datadir/applications/*.desktop


%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.14-4mdv2009.0
+ Revision: 262286
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.14-3mdv2009.0
+ Revision: 256688
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 05 2008 Funda Wang <fundawang@mandriva.org> 1.14-1mdv2008.1
+ Revision: 145750
- New version 1.14

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 14 2007 Funda Wang <fundawang@mandriva.org> 1.13-4mdv2008.0
+ Revision: 52008
- Build unicode version

* Sat Jul 14 2007 Funda Wang <fundawang@mandriva.org> 1.13-3mdv2008.0
+ Revision: 51999
- BR wxGTK 2.6

  + Olivier Thauvin <nanardon@mandriva.org>
    - 1.13


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 1.10-3mdv2007.0
+ Revision: 93977
- force rebuild
- bump release for no reason but cheat with bs
- force wxgtk version
- 1.10

  + Lenny Cartier <lenny@mandriva.com>
    - Import xchm

* Wed Jun 07 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.9-1mdv2007.0
- 1.9

* Wed May 24 2006 Lenny Cartier <lenny@mandriva.com> 1.8-1mdk
- 1.8

* Tue Apr 18 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.7.1-1mdk
- New release 1.7.1

* Fri Apr 14 2006 Lenny Cartier <lenny@mandriva.com> 1.7.1-1mdk
- 1.7.1
- keep 1.6 doc for the moment

* Fri Apr 07 2006 Lenny Cartier <lenny@mandriva.com> 1.6-1mdk
- 1.6

* Thu Mar 23 2006 Olivier Thauvin <nanardon@mandriva.org> 1.5-1mdk
- 1.5

* Tue Feb 28 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.4-1mdk
- 1.4

* Wed Jan 25 2006 Lenny Cartier <lenny@mandriva.com> 1.3-1mdk
- 1.3

* Sat Nov 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.2-3mdk
- fix menu

* Tue Sep 13 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.2-2mdk
- rebuild against new chmlib

* Tue Aug 30 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.2-1mdk
- 1.2

* Mon Aug 29 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.1-1mdk
- 1.1

* Sun Jul 24 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0-2mdk
- change the menu section and group

* Wed Jun 08 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0-1mdk
- 1.0
- build with wxGTK 2.6
- removed non-mdk entryes from changelog

* Mon Feb 21 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.8-1mdk
- 0.9.8

* Fri Dec 24 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.7-1mdk
- 0.9.7
- build with wxGTK 2.5, adjust BuildRequires

* Tue Oct 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.6-1mdk
- 0.9.6
- fix menu entry

* Thu Jul 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.2-1mdk
- 0.9.2

* Thu Jun 17 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.1-2mdk
- macroszification and some spec fixes
- fixed menu section and summary
- rebuild with new libstdc++

* Tue Apr 06 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.1-1mdk
- 0.9.1

* Fri Jan 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.11-1mdk
- 0.8.11

* Tue Jan 06 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.8.10-1mdk
- 0.8.10

